BizKitHub
DocsAPI ReferenceLedger/bff/ledger/journal/create
postLedgerAdmin BFF

/bff/ledger/journal/create

Create a manual journal entry (draft or posted)

LedgerpostBffLedgerJournalCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
entryDatestringRequired
Example2027-01-15
documentDatestring | nullOptional
One of 2:
Variant 1
string
Example2027-01-15
Variant 2
null
documentNostring | nullOptional
One of 2:
Variant 1
string
Length: 0–64
Variant 2
null
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null
linesobject[]Required
Each array item:
accountCodestringRequired
Length: 3–16
Example211
side"debit" | "credit"Required
amountnumber | stringRequired
One of 2:
Variant 1
number
Variant 2
string
isRedStornobooleanOptional
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–500
Variant 2
null
partnerIdstring | nullOptional
One of 2:
Variant 1
string
Length: 0–32
Variant 2
null
dimensionValueIdsstring[]Optional

Dimension value ids, one per dimension type.

postbooleanRequired

true = post now, false = save as draft (koncept).

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/ledger/journal/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/journal/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "entryDate": "2027-01-15",
  "lines": [
    {
      "accountCode": "211",
      "isRedStorno": false,
      "dimensionValueIds": [
        "string"
      ]
    }
  ],
  "post": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key